package com.ffii.fpsms.modules.user.entity.projections;

import org.springframework.beans.factory.annotation.Value;

public interface UserCombo {
    Long getId();

    @Value("#{target.id}")
    Long getValue();

    @Value("#{target.department} - #{target.title} - #{target.name}")
    String getLabel();

    String getName();

    String getDepartment();

    String getTitle();
}
